TITLE1 "EXAMPLE1.SAS--Demonstrate MISSMOD using FITML";

* Data are from Zeisel, DaCosta, Franklin, et al, A.     *;
* "Choline, an Essential Nutrient for Humans,"           *;
* FASEB, 5, 1991, pp. 2093-2098.                         *;

LIBNAME IN01 "C:\MISSMOD\EXAMPLES\";

%LET LMDIRECT = C:\MISSMOD\SOURCE\;
%INCLUDE "&LMDIRECT.MACROLIB.MAC" / NOSOURCE2 ;

PROC IML WORKSIZE=5000 SYMSIZE=5000;
  &MISSMOD ;

   USE IN01.CHOLINE;

   READ ALL VAR{DAY7 DAY14 DAY21 DAY28 DAY35} INTO Y [COLNAME=DEPVARS];
   READ ALL VAR{GROUP} INTO GROUP;
   READ ALL VAR{DAY0}  INTO DAY0;

   CELLMEAN = DESIGN(GROUP);      ** CELL MEAN CODING;
   X = CELLMEAN || DAY0;

   INDVARS={"CONTROL" "DEFICIENT" "DAY0"};
   ZNAMES = DEPVARS || INDVARS ;
   Z =  Y||X;
   P = NCOL(Y);
   
   *------------------------------*;
   * REPEATED MEASURES HYPOTHESIS *;
   *------------------------------*;
   C={-1 1 0};
   RUN UPOLY1((1:5), "TIME", U, UNAME);
   THETARNM={"DEFICIENT-CONTROL"};
   THETACNM={"LIN" "QUAD" "CUB" "QUAR"};

   OPT_ON  = {"NBEST" "SSFIT" "MSS"};
   RUN SETOPT;
   RUN FITML;
   RUN TESTGLH;
/*
   PRINT '*** MODIFIED DF ANALYSIS: NSTAR=NJJP_H ***' ;
   OPT_ON  = {"NJJP_MIN"};
   RUN SETOPT;
   RUN FITML;
   RUN TESTGLH;
*/
QUIT;
